summaryrefslogtreecommitdiffstats
path: root/src/3rdparty/libpng/import_from_libpng_tarball.sh
diff options
context:
space:
mode:
authorAndré Klitzing <aklitzing@gmail.com>2017-08-26 01:23:25 +0200
committerAndré Klitzing <aklitzing@gmail.com>2017-08-26 18:04:32 +0000
commite51dbda0677d9ff4419c9dc70e6209fae194ee02 (patch)
tree7ed1e2cd98abe73bc5774bb6115cd08bf12b4826 /src/3rdparty/libpng/import_from_libpng_tarball.sh
parent3635b78c548c53d50b98c63b581556e5a2b3b1a4 (diff)
Update bundled libpng to version 1.6.32
Also add import script. The remaining diff to clean 1.6.32 is archived in the qtpatches.diff file. [ChangeLog][Third-Party Code] libpng was updated to version 1.6.32 Change-Id: I1b4b78e39a6eb098d1b66c2528e47544bd9e6713 Reviewed-by: Thiago Macieira <thiago.macieira@intel.com>
Diffstat (limited to 'src/3rdparty/libpng/import_from_libpng_tarball.sh')
-rwxr-xr-xsrc/3rdparty/libpng/import_from_libpng_tarball.sh113
1 files changed, 113 insertions, 0 deletions
diff --git a/src/3rdparty/libpng/import_from_libpng_tarball.sh b/src/3rdparty/libpng/import_from_libpng_tarball.sh
new file mode 100755
index 0000000000..d67b7903a6
--- /dev/null
+++ b/src/3rdparty/libpng/import_from_libpng_tarball.sh
@@ -0,0 +1,113 @@
+#! /bin/sh
+#############################################################################
+##
+## Copyright (C) 2017 André Klitzing
+## Contact: https://www.qt.io/licensing/
+##
+## This file is the build configuration utility of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see https://www.qt.io/terms-conditions. For further
+## information use the contact form at https://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 3 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL3 included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 3 requirements
+## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 2.0 or (at your option) the GNU General
+## Public license version 3 or any later version approved by the KDE Free
+## Qt Foundation. The licenses are as published by the Free Software
+## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
+## included in the packaging of this file. Please review the following
+## information to ensure the GNU General Public License requirements will
+## be met: https://www.gnu.org/licenses/gpl-2.0.html and
+## https://www.gnu.org/licenses/gpl-3.0.html.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# This is a small script to copy the required files from a libpng tarball
+# into 3rdparty/libpng/
+
+if [ $# -ne 2 ]; then
+ echo "Usage: $0 libpng_tarball_dir/ \$QTDIR/src/3rdparty/libpng/"
+ exit 1
+fi
+
+LIBPNG_DIR=$1
+TARGET_DIR=$2
+
+if [ ! -d "$LIBPNG_DIR" -o ! -r "$LIBPNG_DIR" -o ! -d "$TARGET_DIR" -o ! -w "$TARGET_DIR" ]; then
+ echo "Either the libpng source dir or the target dir do not exist,"
+ echo "are not directories or have the wrong permissions."
+ exit 2
+fi
+
+# with 1 argument, copies LIBPNG_DIR/$1 to TARGET_DIR/$1
+# with 2 arguments, copies LIBPNG_DIR/$1 to TARGET_DIR/$2
+copy_file() {
+ if [ $# -lt 1 -o $# -gt 2 ]; then
+ echo "Wrong number of arguments to copy_file"
+ exit 3
+ fi
+
+ SOURCE_FILE=$1
+ if [ -n "$2" ]; then
+ DEST_FILE=$2
+ else
+ DEST_FILE=$1
+ fi
+
+ mkdir -p "$TARGET_DIR/$(dirname "$SOURCE_FILE")"
+ cp "$LIBPNG_DIR/$SOURCE_FILE" "$TARGET_DIR/$DEST_FILE"
+}
+
+copy_file "scripts/pnglibconf.h.prebuilt" "pnglibconf.h"
+
+FILES="
+ ANNOUNCE
+ README
+ CHANGES
+ LICENSE
+ INSTALL
+ libpng-manual.txt
+
+ png.c
+ pngerror.c
+ pngget.c
+ pngmem.c
+ pngpread.c
+ pngread.c
+ pngrio.c
+ pngrtran.c
+ pngrutil.c
+ pngset.c
+ pngtrans.c
+ pngwio.c
+ pngwrite.c
+ pngwtran.c
+ pngwutil.c
+
+ png.h
+ pngpriv.h
+ pngstruct.h
+ pnginfo.h
+ pngconf.h
+ pngdebug.h
+"
+
+for i in $FILES; do
+ copy_file "$i" "$i"
+done